# designate

## dns limit list

List DNS limits

    openstack dns limit list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

This command is provided by the python-designateclient plugin.

## dns quota list

List quotas

    openstack dns quota list
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        [--project-id PROJECT_ID]

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

--project-id <PROJECT_ID>

  Project ID Default: current project

This command is provided by the python-designateclient plugin.

## dns quota reset

Reset quotas

    openstack dns quota reset
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        [--project-id PROJECT_ID]

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

--project-id <PROJECT_ID>

  Project ID

This command is provided by the python-designateclient plugin.

## dns quota set

Set quotas

    openstack dns quota set
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        [--project-id PROJECT_ID]
        [--api-export-size <api-export-size>]
        [--recordset-records <recordset-records>]
        [--zone-records <zone-records>]
        [--zone-recordsets <zone-recordsets>]
        [--zones <zones>]

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

--project-id <PROJECT_ID>

  Project ID

--api-export-size <api-export-size>

  New value for the api-export-size quota

--recordset-records <recordset-records>

  New value for the recordset-records quota

--zone-records <zone-records>

  New value for the zone-records quota

--zone-recordsets <zone-recordsets>

  New value for the zone-recordsets quota

--zones <zones>

  New value for the zones quota

This command is provided by the python-designateclient plugin.

## dns service list

List service statuses

    openstack dns service list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--hostname HOSTNAME]
        [--service_name SERVICE_NAME]
        [--status STATUS]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--hostname <HOSTNAME>

  Hostname

--service_name <SERVICE_NAME>

  Service Name

--status <STATUS>

  Status

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

This command is provided by the python-designateclient plugin.

## dns service show

Show service status details

    openstack dns service show
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        id

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

id

  Service Status ID

This command is provided by the python-designateclient plugin.

## ptr record list

List floating IP ptr records

    openstack ptr record list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

This command is provided by the python-designateclient plugin.

## ptr record set

Set floating IP ptr record

    openstack ptr record set
        [--description DESCRIPTION | --no-description]
        [--ttl TTL | --no-ttl]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        floatingip_id
        ptrdname

--description <DESCRIPTION>

  Description

--no-description

--ttl <TTL>

  TTL

--no-ttl

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

floatingip_id

  Floating IP ID in format region:floatingip_id

ptrdname

  PTRD Name

This command is provided by the python-designateclient plugin.

## ptr record show

Show floating IP ptr record details

    openstack ptr record show
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        floatingip_id

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

floatingip_id

  Floating IP ID in format region:floatingip_id

This command is provided by the python-designateclient plugin.

## ptr record unset

Unset floating IP ptr record

    openstack ptr record unset
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        floatingip_id

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

floatingip_id

  Floating IP ID in format region:floatingip_id

This command is provided by the python-designateclient plugin.

## recordset create

Create new recordset

    openstack recordset create
        --record RECORD
        --type TYPE
        [--ttl TTL]
        [--description DESCRIPTION]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        zone_id
        name

--record <RECORD>

  RecordSet Record, repeat if necessary

--type <TYPE>

  RecordSet Type

--ttl <TTL>

  Time To Live (Seconds)

--description <DESCRIPTION>

  Description

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

zone_id

  Zone ID

name

  RecordSet Name

This command is provided by the python-designateclient plugin.

## recordset delete

Delete recordset

    openstack recordset delete
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        [--edit-managed]
        zone_id
        id

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

--edit-managed

  Edit resources marked as managed. Default: False

zone_id

  Zone ID

id

  RecordSet ID

This command is provided by the python-designateclient plugin.

## recordset list

List recordsets

    openstack recordset list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--name NAME]
        [--type TYPE]
        [--data DATA]
        [--ttl TTL]
        [--description DESCRIPTION]
        [--status STATUS]
        [--action ACTION]
        [--long]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        zone_id

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--name <NAME>

  RecordSet Name

--type <TYPE>

  RecordSet Type

--data <DATA>

  RecordSet Record Data

--ttl <TTL>

  Time To Live (Seconds)

--description <DESCRIPTION>

  Description

--status <STATUS>

  RecordSet Status

--action <ACTION>

  RecordSet Action

--long

  List additional fields in output

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

zone_id

  Zone ID. To list all recordsets specify ‘all’

This command is provided by the python-designateclient plugin.

## recordset set

Set recordset properties

    openstack recordset set
        [--record RECORD]
        [--description
        DESCRIPTION
        |
        --no-description
        ]
        [--ttl TTL | --no-ttl]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        [--edit-managed]
        zone_id
        id

--record <RECORD>

  RecordSet Record, repeat if necessary

--description <DESCRIPTION>

  Description

--no-description

--ttl <TTL>

  TTL

--no-ttl

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

--edit-managed

  Edit resources marked as managed. Default: False

zone_id

  Zone ID

id

  RecordSet ID

This command is provided by the python-designateclient plugin.

## recordset show

Show recordset details

    openstack recordset show
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        zone_id
        id

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

zone_id

  Zone ID

id

  RecordSet ID

This command is provided by the python-designateclient plugin.

## tld create

Create new tld

    openstack tld create
        --name NAME
        [--description DESCRIPTION]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]

--name <NAME>

  TLD Name

--description <DESCRIPTION>

  Description

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

This command is provided by the python-designateclient plugin.

## tld delete

Delete tld

    openstack tld delete
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        id

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

id

  TLD name or ID

This command is provided by the python-designateclient plugin.

## tld list

List tlds

    openstack tld list
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--name NAME]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--name <NAME>

  TLD NAME

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

This command is provided by the python-designateclient plugin.

## tld set

Set tld properties

    openstack tld set
        [--name NAME]
        [--description
        DESCRIPTION
        |
        --no-description
        ]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        id

--name <NAME>

  TLD Name

--description <DESCRIPTION>

  Description

--no-description

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

id

  TLD name or ID

This command is provided by the python-designateclient plugin.

## tld show

Show tld details

    openstack tld show
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        id

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

id

  TLD name or ID

This command is provided by the python-designateclient plugin.

## tsigkey create

Create new tsigkey

    openstack tsigkey create
        --name NAME
        --algorithm ALGORITHM
        --secret SECRET
        --scope SCOPE
        --resource-id RESOURCE_ID
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]

--name <NAME>

  TSIGKey Name

--algorithm <ALGORITHM>

  TSIGKey algorithm

--secret <SECRET>

  TSIGKey secret

--scope <SCOPE>

  TSIGKey scope

--resource-id <RESOURCE_ID>

  TSIGKey resource_id

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

This command is provided by the python-designateclient plugin.

## tsigkey delete

Delete tsigkey

    openstack tsigkey delete
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        id

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

id

  TSIGKey ID

This command is provided by the python-designateclient plugin.

## tsigkey list

List tsigkeys

    openstack tsigkey list
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--name NAME]
        [--algorithm ALGORITHM]
        [--scope SCOPE]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--name <NAME>

  TSIGKey NAME

--algorithm <ALGORITHM>

  TSIGKey algorithm

--scope <SCOPE>

  TSIGKey scope

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

This command is provided by the python-designateclient plugin.

## tsigkey set

Set tsigkey properties

    openstack tsigkey set
        [--name NAME]
        [--algorithm ALGORITHM]
        [--secret SECRET]
        [--scope SCOPE]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        id

--name <NAME>

  TSIGKey Name

--algorithm <ALGORITHM>

  TSIGKey algorithm

--secret <SECRET>

  TSIGKey secret

--scope <SCOPE>

  TSIGKey scope

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

id

  TSIGKey ID

This command is provided by the python-designateclient plugin.

## tsigkey show

Show tsigkey details

    openstack tsigkey show
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        id

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

id

  TSIGKey ID

This command is provided by the python-designateclient plugin.

## zone abandon

Abandon a zone

    openstack zone abandon
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        id

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

id

  Zone ID

This command is provided by the python-designateclient plugin.

## zone axfr

AXFR a zone

    openstack zone axfr
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        id

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

id

  Zone ID

This command is provided by the python-designateclient plugin.

## zone blacklist create

Create new blacklist

    openstack zone blacklist create
        --pattern PATTERN
        [--description DESCRIPTION]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]

--pattern <PATTERN>

  Blacklist pattern

--description <DESCRIPTION>

  Description

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

This command is provided by the python-designateclient plugin.

## zone blacklist delete

Delete blacklist

    openstack zone blacklist delete
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        id

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

id

  Blacklist ID

This command is provided by the python-designateclient plugin.

## zone blacklist list

List blacklists

    openstack zone blacklist list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--pattern PATTERN]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--pattern <PATTERN>

  Blacklist Pattern

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

This command is provided by the python-designateclient plugin.

## zone blacklist set

Set blacklist properties

    openstack zone blacklist set
        [--pattern PATTERN]
        [--description
        DESCRIPTION
        |
        --no-description
        ]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        id

--pattern <PATTERN>

  Blacklist pattern

--description <DESCRIPTION>

  Description

--no-description

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

id

  Blacklist ID

This command is provided by the python-designateclient plugin.

## zone blacklist show

Show blacklist details

    openstack zone blacklist show
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        id

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

id

  Blacklist ID

This command is provided by the python-designateclient plugin.

## zone create

Create new zone

    openstack zone create
        [--email EMAIL]
        [--type {PRIMARY,SECONDARY}]
        [--ttl TTL]
        [--description DESCRIPTION]
        [--masters MASTERS [MASTERS ...]]
        [--attributes ATTRIBUTES [ATTRIBUTES ...]]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        name

--email <EMAIL>

  Zone Email. Required for PRIMARY zone type

--type <TYPE>

  Zone Type

--ttl <TTL>

  Time To Live (Seconds)

--description <DESCRIPTION>

  Description

--masters <MASTERS>

  Zone Masters

--attributes <ATTRIBUTES>

  Zone Attributes

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

name

  Zone Name

This command is provided by the python-designateclient plugin.

## zone delete

Delete zone

    openstack zone delete
        [--delete-shares]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        [--hard-delete]
        id

--delete-shares

  Delete existing zone shares.

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

--hard-delete

  Delete zone along-with backend zone resources (i.e. files). Default: False

id

  Zone ID

This command is provided by the python-designateclient plugin.

## zone export create

Export a Zone

    openstack zone export create
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        zone_id

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

zone_id

  Zone ID

This command is provided by the python-designateclient plugin.

## zone export delete

Delete a Zone Export

    openstack zone export delete
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        zone_export_id

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

zone_export_id

  Zone Export ID

This command is provided by the python-designateclient plugin.

## zone export list

List Zone Exports

    openstack zone export list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--status STATUS]
        [--zone-id ZONE_ID]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--status <STATUS>

  Zone Export Status

--zone-id <ZONE_ID>

  Zone ID

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

This command is provided by the python-designateclient plugin.

## zone export show

Show a Zone Export

    openstack zone export show
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        zone_export_id

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

zone_export_id

  Zone Export ID

This command is provided by the python-designateclient plugin.

## zone export showfile

Show the zone file for the Zone Export

    openstack zone export showfile
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        zone_export_id

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

zone_export_id

  Zone Export ID

This command is provided by the python-designateclient plugin.

## zone import create

Import a Zone from a file on the filesystem

    openstack zone import create
        [--attributes ATTRIBUTES [ATTRIBUTES ...]]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        zone_file_path

--attributes <ATTRIBUTES>

  Zone Attributes

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

zone_file_path

  Path to a zone file

This command is provided by the python-designateclient plugin.

## zone import delete

Delete a Zone Import

    openstack zone import delete
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        zone_import_id

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

zone_import_id

  Zone Import ID

This command is provided by the python-designateclient plugin.

## zone import list

List Zone Imports

    openstack zone import list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--status STATUS]
        [--zone-id ZONE_ID]
        [--message MESSAGE]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--status <STATUS>

  Zone Import Status

--zone-id <ZONE_ID>

  Zone ID

--message <MESSAGE>

  Zone Import Message

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

This command is provided by the python-designateclient plugin.

## zone import show

Show a Zone Import

    openstack zone import show
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        zone_import_id

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

zone_import_id

  Zone Import ID

This command is provided by the python-designateclient plugin.

## zone list

List zones

    openstack zone list
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--name NAME]
        [--email EMAIL]
        [--type {PRIMARY,SECONDARY}]
        [--ttl TTL]
        [--description DESCRIPTION]
        [--status STATUS]
        [--long]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--name <NAME>

  Zone Name

--email <EMAIL>

  Zone Email

--type <TYPE>

  Zone Type

--ttl <TTL>

  Time To Live (Seconds)

--description <DESCRIPTION>

  Description

--status <STATUS>

  Zone Status

--long

  List additional fields in output

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

This command is provided by the python-designateclient plugin.

## zone move

Move a zone to another pool

    openstack zone move
        [--pool-id POOL_ID]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        zone_id

--pool-id <POOL_ID>

  Pool ID

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

zone_id

  Zone ID

This command is provided by the python-designateclient plugin.

## zone nameservers list

List Zone Nameservers

    openstack zone nameservers list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        id

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

id

  Zone ID or Name

This command is provided by the python-designateclient plugin.

## zone set

Set zone properties

    openstack zone set
        [--email EMAIL]
        [--ttl TTL]
        [--description DESCRIPTION | --no-description]
        [--masters MASTERS [MASTERS ...]]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        id

--email <EMAIL>

  Zone Email

--ttl <TTL>

  Time To Live (Seconds)

--description <DESCRIPTION>

  Description

--no-description

--masters <MASTERS>

  Zone Masters

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

id

  Zone ID

This command is provided by the python-designateclient plugin.

## zone share create

Share a Zone

    openstack zone share create
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        zone
        target_project_id

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

zone

  The zone name or ID to share.

target_project_id

  Target project ID to share the zone with.

This command is provided by the python-designateclient plugin.

## zone share delete

Delete a Zone Share

    openstack zone share delete
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        zone
        shared_zone_id

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

zone

  The zone name or ID to share.

shared_zone_id

  The zone share ID to delete.

This command is provided by the python-designateclient plugin.

## zone share list

List Zone Shares

    openstack zone share list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        [--target-project-id TARGET_PROJECT_ID]
        zone

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

--target-project-id <TARGET_PROJECT_ID>

  The target project ID to filter on.

zone

  The zone name or ID to share.

This command is provided by the python-designateclient plugin.

## zone share show

Show Zone Share Details

    openstack zone share show
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        zone
        shared_zone_id

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

zone

  The zone name or ID to share.

shared_zone_id

  The zone share ID to show.

This command is provided by the python-designateclient plugin.

## zone show

Show zone details

    openstack zone show
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        id

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

id

  Zone ID

This command is provided by the python-designateclient plugin.

## zone transfer accept list

List Zone Transfer Accepts

    openstack zone transfer accept list
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--status STATUS]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--status <STATUS>

  Zone Transfer Accept Status

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

This command is provided by the python-designateclient plugin.

## zone transfer accept request

Accept a Zone Transfer Request

    openstack zone transfer accept request
        --transfer-id TRANSFER_ID
        --key KEY
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]

--transfer-id <TRANSFER_ID>

  Transfer ID

--key <KEY>

  Transfer Key

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

This command is provided by the python-designateclient plugin.

## zone transfer accept show

Show Zone Transfer Accept

    openstack zone transfer accept show
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        id

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

id

  Zone Tranfer Accept ID

This command is provided by the python-designateclient plugin.

## zone transfer request create

Create new zone transfer request

    openstack zone transfer request create
        [--target-project-id TARGET_PROJECT_ID]
        [--description DESCRIPTION]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        zone_id

--target-project-id <TARGET_PROJECT_ID>

  Target Project ID to transfer to.

--description <DESCRIPTION>

  Description

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

zone_id

  Zone ID to transfer.

This command is provided by the python-designateclient plugin.

## zone transfer request delete

Delete a Zone Transfer Request

    openstack zone transfer request delete
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        id

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

id

  Zone Transfer Request ID

This command is provided by the python-designateclient plugin.

## zone transfer request list

List Zone Transfer Requests

    openstack zone transfer request list
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--status STATUS]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--status <STATUS>

  Zone Transfer Request Status

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

This command is provided by the python-designateclient plugin.

## zone transfer request set

Set a Zone Transfer Request

    openstack zone transfer request set
        [--description
        DESCRIPTION
        |
        --no-description
        ]
        [--target-project-id TARGET_PROJECT_ID]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        id

--description <DESCRIPTION>

  Description

--no-description

--target-project-id <TARGET_PROJECT_ID>

  Target Project ID to transfer to.

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

id

  Zone Transfer Request ID

This command is provided by the python-designateclient plugin.

## zone transfer request show

Show Zone Transfer Request Details

    openstack zone transfer request show
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        id

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

id

  Zone Tranfer Request ID

This command is provided by the python-designateclient plugin.

this page last updated: 2026-07-15 15:33:41

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.